Bug 187625 - Review Request: ices IceS is a source client for a streaming server
Review Request: ices IceS is a source client for a streaming server
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ignacio Vazquez-Abrams
Fedora Package Reviews List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-04-01 19:52 EST by Richard June
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-27 17:09:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Richard June 2006-04-01 19:52:16 EST
I do not have a sponsor for this. It passes RPMLint, and I believe it adheres to the guidelines.
ices.spec: http://home.bravegnuworld.com/~rjune/rpm/SPECS/ices.spec

ices-2.0.1-0.1.src.rpm: http://home.bravegnuworld.com/~rjune/rpm/SRPMS/ices-2.0.1-0.1.src.rpm

Description: 
IceS is a source client for a streaming server. The purpose of this client is
to provide an audio stream to a streaming server such that one or more
listeners can access the stream. With this layout, this source client can be
situated remotely from the icecast server
Comment 1 Ignacio Vazquez-Abrams 2006-04-01 21:08:12 EST
- Release should start at 1
- Summary should not contain the app name
- Drop / before %{_localstatedir} and %{_sysconfdir}
- Need to own %{_datadir}/%{name}
- Don't be afraid to use %{name} and %{version} where appropriate
Comment 2 Richard June 2006-04-01 21:43:43 EST
Fixed all of those. 
ices-2.0.1-2.src.rpm: 
http://home.bravegnuworld.com/~rjune/rpm/SRPMS/ices-2.0.1-2.src.rpm 
Comment 3 Ignacio Vazquez-Abrams 2006-04-05 00:05:13 EDT
- First word of summary should be capitalized
- Drop %{_datadir}/ices/* from %files as the previous line covers it
- Put one newline between chnagelog entries
Comment 4 Richard June 2006-04-05 01:20:48 EDT
Fixed all of those.  
ices-2.0.1-3.src.rpm:  
http://home.bravegnuworld.com/~rjune/rpm/SRPMS/ices-2.0.1-3.src.rpm  
Comment 5 Ignacio Vazquez-Abrams 2006-04-09 14:53:26 EDT
Almost there.

W: ices conffile-without-noreplace-flag /etc/logrotate.d/ices

Also a number of build warnings I don't like, but I wont't consider them
blockers. Kick them upstream.

Also, I can't help but think that most of the items in %{_datadir}/ices might be
better off all being in %doc instead.
Comment 6 Richard June 2006-04-09 16:02:34 EDT
Fixed the conffile without noreplace flag     
ices-2.0.1-4.src.rpm:     
http://home.bravegnuworld.com/~rjune/rpm/SRPMS/ices-2.0.1-4.src.rpm  
  
Comment 7 Richard June 2006-04-15 15:53:20 EDT
Moved HTML files to %doc  
ices-2.0.1-5.src.rpm:       
http://home.bravegnuworld.com/~rjune/rpm/SRPMS/ices-2.0.1-5.src.rpm    
Comment 8 Ignacio Vazquez-Abrams 2006-04-19 22:38:56 EDT
The HTML and CSS files have been moved, but the XML files are now MIA. Also, the
XML files should probably be marked %config(noreplace) and relocated to
%{_sysconfdir}/%{name}.
Comment 9 Ignacio Vazquez-Abrams 2006-04-27 17:09:29 EDT
So it turns out that someone had already submitted ices for review. Silly me for
not noticing.

Note You need to log in before you can comment on or make changes to this bug.